Update Fields
/unified/crm/fields/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The entity to get the fields for
accountcontactopportunity
2 supported2 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The field's new description
6 supported
The entity to get the fields for
contactaccountopportunitycontactaccountleadopportunitycontactaccountopportunitynoteleadcontactaccountopportunitycontactaccountopportunitynoteleadcontactleadaccountnoteopportunity+ 13 more
6 supported6 required
contactaccountopportunitycontactaccountleadopportunitycontactaccountopportunitynoteleadcontactaccountopportunitycontactaccountopportunitynoteleadcontactleadaccountnoteopportunityWhether the field is hidden
2 supported
Update requirement level
5 supported
Whether the field is unique
4 supported
The field's new label
8 supported2 required
The field's name. This is the name of the property in the entity.
7 supported1 required
The field's options
6 supported
The option's description
Whether the option is hidden
The option's label
The option's value
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The field's type
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfileaddressstringtextnumberbooleandatedatetimeenumarray+ 8 more
7 supported3 required
stringtextnumberbooleandatedatetimeenumarrayMake field unique with case_sensitive setting
1 supported
Response Body
The date and time of the field's creation
4 supported
The field's description
6 supported
The entity type the field belongs to
contactaccountopportunity
6 supported
1 supported
The field group's unique identifier
The field group's name
The field's unique identifier
8 supported
Whether the field is editable
6 supported
Whether the field is hidden
2 supported
Whether the field is required
5 supported
Whether the field is unique
4 supported
Whether the field is user defined
6 supported
The field's label
7 supported
The field's name. This is the name of the property in the entity.
7 supported
The field's options
6 supported
The option's description
Whether the option is hidden
The option's label
The option's value
The entity type this field references to
contactaccountopportunitylead
Raw data returned from the remote API call.
The field's type
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfileaddress
7 supported
The date and time of the field's last update
4 supported
The field's urls
3 supported
The field's URL type
The field's URL
curl -X PATCH 'https://api.truto.one/unified/crm/fields/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"entity": "contact",
"name": "your_name",
"label": "your_label",
"type": "string",
"description": "your_description",
"is_required": true,
"is_unique": true,
"options": [],
"is_hidden": true,
"unique": {},
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"entity": "contact",
"name": "your_name",
"label": "your_label",
"type": "string",
"description": "your_description",
"is_required": true,
"is_unique": true,
"options": [],
"is_hidden": true,
"unique": {},
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/crm/fields/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/fields/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"entity": "contact",
"name": "your_name",
"label": "your_label",
"type": "string",
"description": "your_description",
"is_required": True,
"is_unique": True,
"options": [],
"is_hidden": True,
"unique": {},
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'crm',
'fields',
'<resource_id>',
{
"entity": "contact",
"name": "your_name",
"label": "your_label",
"type": "string",
"description": "your_description",
"is_required": true,
"is_unique": true,
"options": [],
"is_hidden": true,
"unique": {},
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"crm",
"fields",
"<resource_id>",
{
"entity": "contact",
"name": "your_name",
"label": "your_label",
"type": "string",
"description": "your_description",
"is_required": True,
"is_unique": True,
"options": [],
"is_hidden": True,
"unique": {},
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())